#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kde-inotify-survey
Version: 23.04.3
Release:        %mkrel %{rel}
Summary:        Monitors inotify limits and lets the user know when exceeded
Group:          Graphical desktop/KDE
License:        BSD-3-Clause and CC0-1.0 and FSFAP and GPL-2.0-only and GPL-3.0-only
URL:            https://invent.kde.org/system/kde-inotify-survey
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Updates the dbus service config to use the right policies to satisfy a rpmlint error
# Merge Request: https://invent.kde.org/frameworks/kauth/-/merge_requests/44
Source1:        org.kde.kded.inotify.conf

## upstream patches

BuildRequires:  kf5-rpm-macros

BuildRequires:  gettext
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)

BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Auth)

Requires:       kded
Requires:       dbus
Requires:       polkit

%description
Tooling for monitoring inotify limits and informing the user
when they have been or are about to be reached.

%files -f %{name}.lang
%license LICENSES/* screenshot.png.license
%doc README.md screenshot.png
%{_kf5_bindir}/kde-inotify-survey
%{_kf5_plugindir}/kded/inotify.so
%{_libexecdir}/kauth/kded-inotify-helper
%{_kf5_datadir}/dbus-1/system-services/org.kde.kded.inotify.service
%{_kf5_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf
%{_kf5_knotificationsdir}/org.kde.kded.inotify.notifyrc
%{_kf5_metainfodir}/org.kde.inotify-survey.metainfo.xml
%{_kf5_datadir}/polkit-1/actions/org.kde.kded.inotify.policy

%prep
%autosetup

%build
%cmake_kf5
%cmake_build

%install
%cmake_install

%find_lang %{name} --with-kde --with-man --all-name

rm %{buildroot}%{_kf5_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf
install -m644 -p -D %{SOURCE1} %{buildroot}%{_kf5_datadir}/dbus-1/system.d/org.kde.kded.inotify.conf


%changelog
* Sun Mar 03 2024 daviddavid <daviddavid> 23.04.3-1.mga9
+ Revision: 2047362
- New version 23.04.3

* Mon May 29 2023 daviddavid <daviddavid> 23.04.1-1.mga9
+ Revision: 1959725
- initial package kde-inotify-survey

